# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/colinmarc/hdfs
%global goipath         github.com/colinmarc/hdfs/v2
Version:                2.2.0

%gometa

%global common_description %{expand:
This is a native golang client for hdfs. It connects directly to the namenode
using the protocol buffers API.

It tries to be idiomatic by aping the stdlib os package, where possible, and
implements the interfaces from it, including os.FileInfo and os.PathError.}

%global golicenses      LICENSE.txt
%global godocs          CODE_OF_CONDUCT.md README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Native go client for HDFS

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/client)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/config)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/credentials)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/crypto)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/gssapi)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/iana/keyusage)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/spnego)
BuildRequires:  golang(github.com/jcmturner/gokrb5/v8/types)
BuildRequires:  golang(github.com/pborman/getopt)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
export LDFLAGS="-X main.version=%{version} "
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# .: needs network
%gocheck -d .
%endif

%files
%license LICENSE.txt
%doc CODE_OF_CONDUCT.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sat Mar 06 08:15:54 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.0-1
- Initial package
